#!/bin/sh

export LANG=C
export LC_ALL=C

PKG_NAME="ltp"
PKG_VER="20150119"

WORKING_DIR="/opt/$PKG_NAME"
LOGS_DIR="$HOME/tests/$PKG_NAME/logs"

LOG_FILE="results_${PKG_NAME}-${PKG_VER}_$(uname -r).txt"

DMESG_BEFORE="dmesg_$(uname -r)_before-${PKG_NAME}-${PKG_VER}.txt"
DMESG_AFTER="dmesg_$(uname -r)_after-${PKG_NAME}-${PKG_VER}.txt"
DMESG_DIFF="dmesg_$(uname -r)_${PKG_NAME}-${PKG_VER}.diff"

LTP_BIN="runltplite.sh"

[ -d $WORKING_DIR ] || mkdir -p $WORKING_DIR
[ -d $LOGS_DIR ] || mkdir -p $LOGS_DIR

cd $WORKING_DIR

dmesg > $LOGS_DIR/$DMESG_BEFORE

./$LTP_BIN 2>&1 | tee $LOGS_DIR/$LOG_FILE

dmesg > $LOGS_DIR/$DMESG_AFTER

cd $LOGS_DIR
diff -uprN $DMESG_BEFORE $DMESG_AFTER > $DMESG_DIFF
